Skip to navigation

Get Super Admin's Assigned Companies

Lists all Companies assigned to the Super Admin account associated with superAdminId. The response will contain limited information about each Company, but more information is available through the B2B Edition Companies API endpoints (see Company Management or Companies and Users for more information).

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

superAdminIdintegerRequired

The unique ID of the Super Admin account. Does not match the BigCommerce customer account ID.

Query parameters

limitintegerOptional1-200Defaults to 10
Maximum number of entries to return per page of results.
offsetintegerOptional>=0Defaults to 0
The number of entries to skip before returning the current page of results.

Response

SUCCESS
codeintegerOptionalDefaults to 200
datalist of objectsOptional
metaobjectOptional

Errors

404
Not Found Error